Subject: [Gen-art] Gen-ART Last Call review of draft-ietf-geopriv-held-measurements-07

From: Suresh Krishnan <[email-masked]>
Date: Wed, 8 May 2013 00:03:20 -0400

I am the assigned Gen-ART reviewer for
draft-ietf-geopriv-held-measurements-07

For background on Gen-ART, please see the FAQ at
<http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.

Please resolve these comments along with any other Last Call comments
you may receive.

Summary: This draft is almost ready for publication as a Proposed
Standard, but I have a few minor comments that you may wish to address.

* Section 5.2

- The Interface-Id option is the DHCPv6 equivalent of the circuit
identifier defined in RFC3046. Please add a reference to Section 22.18
of RFC3315 that describes this option.

- Is there any specific reason that the giaddr is being specified using
the IPv4-mapped IPv6 address format? From my reading giaddr is of type
bt:ipAddressType and it allows specification of both IPv4 and IPv6
addresses natively.

* Section 8.3 Page 44

IPv4-compatible addresses have been deprecated in the IPv6 addressing
architecture (RFC4291) and need not be supported here.

* Section 8.7 Page 53

I think there may be an off-by-one error here.

 <xs:maxInclusive value="268435456"/>

Shouldn't this be

 <xs:maxInclusive value="268435455"/>

so that the largest value will fit in 28 bits?

Thanks
Suresh

---

From: Martin Thomson <[email-masked]>
Date: Wed, 8 May 2013 21:05:39 +0000

Thanks Suresh.

I've made the changes in the -08 that I'm holding for AD go-ahead.  I'll try to remember to send you a note when this goes out.

> identifier defined in RFC3046. Please add a reference to Section 22.18 of
> RFC3315 that describes this option.

Got it.  Thanks.

> bt:ipAddressType and it allows specification of both IPv4 and IPv6

Yeah, that is strange.  I'll use a "normal" address.  (I think that I was just testing out schema validation in the examples and it leaked out.)

> architecture (RFC4291) and need not be supported here.

That's true, but deprecated != MUST NOT use.  If it's all the same to you, I'd rather just leave as is.  If I were to make a change, it would be to remove acceptance of the dotted quad portion entirely.  But I think that the mapped address form is in use.  I'd have to check with the working group on that.

>  <xs:maxInclusive value="268435456"/>

Yes, good catch.  Either down by one or maxExclusive :)

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 9 May 2013 04:29:20 +0000

Hi Martin,
Thank you for the quick response. I am fine with all the changes you have proposed. I will look at the next rev as soon as it becomes available.

Thanks
Suresh

----- Original Message -----
From: Martin Thomson <[email-masked]>
To: Suresh Krishnan <[email-masked]>, General Area Review Team <[email-masked]>, "[email-masked]" <[email-masked]>
Sent: 5/8/2013 5:06 PM
Subject: RE: Gen-ART Last Call review of draft-ietf-geopriv-held-measurements-07

Thanks Suresh.

Got it.  Thanks.